Description: disable rescue mode after display manager starts
 init-done.service does not exists on Ubuntu Touch. This service is
 choosen because on secure mode, ADB will be available after the
 display is unlocked.
 .
 Also make sure we're started after usb-moded, to make sure rescue
 mode is reliably triggered.
Author: Ratchanan Srirattanamet <ratchanan@ubports.com>
Origin: vendor
Forwarded: not-needed
Last-Update: 2022-01-29
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/systemd/usb-rescue-mode-off.service
+++ b/systemd/usb-rescue-mode-off.service
@@ -5,7 +5,8 @@
  
 [Unit]
 Description=Turn usb-moded rescue mode off
-After=init-done.service
+After=display-manager.service
+After=usb-moded.service
 
 [Service]
 Type=oneshot
